Subject: Automation and Seamless Connectivity top of the table for boosting Passenger Services
From: "Saudi Airport Exhibition" <[email-masked]>
To: "Roham Khaleghy Rad" <[email-masked]>
Date: Thu, 23 Mar 2023 11:30:45 +0430

Saudi Airport Exhibition Newsletter

Open this email in a Web browser

  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/725c1a63-819e-4b49-ace2-70c71ce49559/1200x300.png>

19 - 20 December 2023
Riyadh International Convention and Exhibition Center (RICEC)
Riyadh, Saudi Arabia
  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/148e2d02-477f-43bc-9bfa-77fcfd5020ca/2000x1000.png>

Automation and Seamless Connectivity top of the table for boosting Passenger 
Services
In a post-pandemic world, passengers are eager to rediscover the joy of air 
travel once again. This is why leading airports strive to provide the most 
seamless, convenient travel experiences.

As in the scramble to make airports safe and viable transport hubs during 
the pandemic, operators are turning to emerging tech to plug gaps in the 
traditional air travel experience and provide next-generation passenger 
services. Read more
  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/cd99c1e7-9a46-4522-89b1-0fdda7d25c31/2000x1000.png>

Global focus on Saudi Arabia’s massive airport investments
As the capital-intensive airport infrastructure development sector starts 
picking pace globally, Saudi Arabia – the largest economy in the Middle 
East – is working fast to develop sustainable and modern airport facilities 
with a US$100 billion aviation commitment over the next decade.

The Kingdom considers airport development to be critical to its unfaltering 
commitment to deliver Vision 2030, launched in 2016 to become a futuristic 
nation. Its aviation strategy will help it position itself into a global 
aviation hub connecting Asia, Europe and Africa. The sky is the limit for 
its growth and expansion, with over 70 per cent of its over 36 million 
population under the age of 35 and mostly upwardly mobile. Read  more
  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/ec36c153-be73-4cc5-9f9e-af0d7e73908a/2000x1000.png>

EnTrackBag: Suspect Bag Tracking System
TrackIT’s patented EnTrackBag: Suspect Bag Tracking system is adopted by 19 
international
airports globally to track & monitor suspect bag movement in the arrival 
terminal and provide better detection at the red & green channel for 
enhanced security, offering superior passenger experience.

EnTrackBag is integrated with all leading BHS and X-RAY systems for seamless 
operation. Read more
  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/9bbc8f49-5a8d-426d-9a4f-3257ce09f962/2000x1000.png>

Park Air T6 VHF/UHF Radio
The T6 Radio is the latest evolution in the Park Air range of professional 
ground to air ATC radios. It sets new standards for providing high levels of 
safety, efficiency and performance in a compact unit. Scalable, flexible and 
secure, the T6 Radio ensures robust and future-proof (VHF and UHF) voice and 
data communications. Read more
  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/86363aea-665f-4d40-a62a-594d7dcc2570/2000x1000.png>

Saudi Arabia to launch new NEOM Airlines by Q1, 2025
NEOM Airlines (Neom Bay) will launch operations in late 2024 or by the first 
quarter of 2025 as a third state-owned airline in Saudi Arabia, albeit with 
a narrower focus on serving the futuristic urban development of Neom Bay.

Neom is an under-construction urban project on the Red Sea coast in 
northwestern Saudi Arabia. While the future linear city is at a very early 
stage of development, Neom Bay airport already serves the existing limited 
urban area. Currently Saudia and flyadeal operate domestic routes out of the 
airport. Read more
  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/390033fb-847f-424a-b46f-35bd7d68b066/2000x1000.png>

Saudi airports to welcome over 80 female cab drivers in Vision 2030 push
Over 80 female cab drivers will be soon employed in four airports in Saudi 
Arabia as the Kingdom continues its social reforms aimed at reducing the 
gender gap in line with the goals outlined in Vision 2030. Read more
  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/3fb8d95e-4eaa-4acc-bd7a-3e1a3b477670/2000x1000.png>

How Riyadh Air will help to transform Saudi capital into a major commercial 
travel and logistics hub
New airline is expected to add $20 billion to Saudi Arabia’s non-oil GDP and 
create more than 200,000 jobs and the launch follows announcement of King 
Salman International Airport, set to handle 120 million travelers by 2030. 
Read more

  <http://cdn.mcauto-images-production.sendgrid.net/486618ed36552831/285c5cfc-6737-4400-aac8-1cb6adff6c3b/2000x1000.png>

This newsletter is brought to you by Saudi Airport Exhibition, the largest 
dedicated event for airport development in Saudi Arabia, attracting 
thousands of global industry officials, suppliers, investors, and 
professionals. For the latest industry news, new projects and blogs or to 
contact one of our team, please visit here.

  <https://mc.sendgrid.com/assets/social/white/facebook.png> 
<https://mc.sendgrid.com/assets/social/white/twitter.png> 
<https://mc.sendgrid.com/assets/social/white/instagram.png> 
<https://mc.sendgrid.com/assets/social/white/linkedin.png>

Unsubscribe - Unsubscribe Preferences

♥ POWERED BY TWILIO SENDGRID